Skip to main content
GET
/
uptime
/
monitors
List monitors
curl --request GET \
  --url https://api.phare.io/uptime/monitors \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.phare.io/uptime/monitors"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.phare.io/uptime/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "name": "Website",
      "request": {
        "url": "https://docs.phare.io/introduction",
        "tls_skip_verify": false,
        "body": "Hello, World!",
        "follow_redirects": true,
        "user_agent_secret": "definitely-not-a-bot",
        "headers": [
          {
            "name": "X-Phare-Says",
            "value": "Hello world!"
          }
        ]
      },
      "regions": [],
      "id": 1,
      "project_id": 1,
      "paused": true,
      "response_time": 123,
      "interval": 60,
      "timeout": 20000,
      "success_assertions": [
        {
          "type": "status_code",
          "operator": "in",
          "value": "2xx,30x,418"
        }
      ],
      "incident_confirmations": 1,
      "recovery_confirmations": 1,
      "region_threshold": 1,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "current_page": 2,
    "from": 11,
    "to": 20,
    "per_page": 100,
    "path": "https://api.phare.io/{resource}?page=2"
  },
  "links": {
    "first": "https://api.phare.io/{resource}?page=2",
    "last": "https://api.phare.io/{resource}?page=10",
    "prev": "https://api.phare.io/{resource}?page=1",
    "next": "https://api.phare.io/{resource}?page=1"
  }
}
{
"message": "Unauthorized"
}
{
"message": "The platform:write permission is required to perform this action."
}

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Query Parameters

page
integer
default:1

Page number to show

Example:

1

per_page
integer
default:20

Number of resources to return per page

Required range: 1 <= x <= 100
Example:

20

Response

Success, monitors retrieved

data
object[]
meta
object

Meta data for pagination

Links for pagination

Last modified on February 8, 2026